<?php
	// Init
	$sql = array();

	// Create Service Table in Database
	$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'ems_rate_service_code` (
			  `id_ems_rate_service_code` int(10) NOT NULL AUTO_INCREMENT,
			  `id_carrier` int(10) NOT NULL,
			  `service_code` varchar(255) NOT NULL,
			  `service_name` varchar(255) NOT NULL,
			  `transit_time` varchar(255) NOT NULL,
			  `active` tinyint(1) NOT NULL,
			  UNIQUE(`service_code`, `service_name`),
			  PRIMARY KEY  (`id_ems_rate_service_code`)
		) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

	
	// Create Cache Table in Database
	$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'ems_cache` (
			  `id_ems_cache` int(10) NOT NULL AUTO_INCREMENT,
			  `id_cart` int(10) NOT NULL,
			  `hash` varchar(32) NOT NULL,
			  `service_code` varchar(255) NOT NULL,
			  `service_name` varchar(255) NOT NULL,
			  `transit_time` varchar(255) NOT NULL,
			  `service_currency` varchar(30) NOT NULL,
			  `amount` double(10,2) NOT NULL,
			  PRIMARY KEY  (`id_ems_cache`)
		) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';